For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
      • GETList or filter all Call activities
      • POSTLog an external Call activity
      • GETGet a single Call activity
      • PUTUpdate a Call activity
      • DELDelete a Call activity
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
ActivitiesCalls

Update a Call activity

||View as Markdown|
PUT
https://api.close.com/api/v1/activity/call/:id/
PUT
/api/v1/activity/call/:id/
$curl -X PUT https://api.close.com/api/v1/activity/call/id/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "note_html": "<body><p>This is some new call note.</p></body>",
> "outcome_id": "outcome_031uY9IKV1JxfNKM9n2qCw"
>}'
1{
2 "_type": "Call",
3 "activity_at": "2013-02-01T00:51:33+00:00",
4 "contact_id": "cont_q4xYmlGhA3060dEl0NDJuHRxPMuVjqLn30AFSzh1fRk",
5 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
6 "date_created": "2013-02-20T06:34:33.637000+00:00",
7 "date_updated": "2013-02-20T06:34:35.656000+00:00",
8 "id": "acti_Ay0QqN91HKAHVQUesISYV8QlhDobGfWb1Ui3TE75pJR",
9 "lead_id": "lead_s6vHFTK1TSRoH6otXOexWDO9jM4xyb1kELHDoU7Fdsp",
10 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
11 "outcome_id": "outcome_031uY9IKV1JxfNKM9n2qCw",
12 "source": "Close.io",
13 "status": "completed",
14 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
15 "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
16 "users": [],
17 "call_method": "regular",
18 "cost": "2",
19 "dialer_id": null,
20 "dialer_saved_search_id": null,
21 "direction": "outbound",
22 "disposition": "answered",
23 "duration": 10,
24 "local_country_iso": "US",
25 "local_phone": "+16505556666",
26 "local_phone_formatted": "+1 650-555-6666",
27 "note": "This is some new call note.",
28 "note_html": "<body><p>This is some new call note.</p></body>",
29 "phone": "+16503334444",
30 "recording_url": null,
31 "remote_country_iso": "US",
32 "remote_phone": "+16503334444",
33 "remote_phone_formatted": "+1 650-333-4444",
34 "voicemail_duration": null,
35 "voicemail_url": null
36}
Most commonly used to update `note_html` or `outcome_id`. Some fields (`status`, `duration`, `direction`) cannot be updated for internal calls made through Close's VoIP system. **`note_html` and `note`**: setting one overwrites the other. If both are provided, `note_html` takes precedence. `note_html` supports rich-text HTML; `note` is plaintext only.
Was this page helpful?
Previous

Get a single Call activity

Next

Delete a Call activity

Built with

Most commonly used to update note_html or outcome_id. Some fields (status, duration, direction) cannot be updated for internal calls made through Close’s VoIP system.

note_html and note: setting one overwrites the other. If both are provided, note_html takes precedence. note_html supports rich-text HTML; note is plaintext only.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Request

This endpoint expects an object.
activity_atdatetime or nullOptional
contact_idstring or nullOptional
conversation_type_idstring or nullOptional
custom_fieldsmap from strings to any or nullOptional
durationinteger or nullOptional<=604800
lead_idstring or nullOptional
notestring or nullOptional
note_htmlstring or nullOptional
outcome_idstring or nullOptional
phonestring or nullOptional
Phone number in E.164 format
playbook_idstring or nullOptional
quality_infostring or nullOptional
recording_urlstring or nullOptionalformat: "uri"
statusenumOptional
user_idstring or nullOptional
voicemail_urlstring or nullOptionalformat: "uri"

Response

Successful response
_typestring
activity_atdatetime or null
contact_idstring or null
created_bystring or null
date_createddatetime
date_updateddatetime
idstring
lead_idstring or null
organization_idstring
outcome_idstring or null
sourceenum

Source of a phone activity. Describes whether the phone activity (such as a call or an SMS) was handled by Close’s telephony provider or handled externally by a 3rd party and is merely logged in Close.

Allowed values:
statusenum
Current status of the call.
updated_bystring or null
user_idstring or null
userslist of strings
created_by_namestring or null
sequence_idstring or null
sequence_namestring or null
sequence_subscription_idstring or null
updated_by_namestring or null
user_namestring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error